/***************************************************

	CustCtrl.h

	Header file for Realizer (tm) Custom Controls
	
	Copyright  1991-1992 Computer Associates International, Inc.
	All rights reserved.

****************************************************/


/* Custom Control messages */
#define CCM_QDEFAULTSIZE	(WM_USER + 0x100)
#define CCM_GETFLAGS		(WM_USER + 0x101)
#define CCM_GETNUM			(WM_USER + 0x102)
#define CCM_GETSTRCOUNT		(WM_USER + 0x103)
#define CCM_GETSTRLEN		(WM_USER + 0x104)
#define CCM_GETSTR			(WM_USER + 0x105)
#define CCM_FORMSIZED		(WM_USER + 0x106)
#define CCM_SETNUM			(WM_USER + 0x107)
#define CCM_SETSTR			(WM_USER + 0x108)
#define CCM_RESETCONTENT	(WM_USER + 0x109)


/*	CCF_* are bit masks for responding to the CCM_GETFLAGS message.
 *	Return a sum of these to the CCM_GETFLAGS message, or don't
 *	process CCM_GETFLAGS at all to get the default settings.
 */
#define CCF_FOCUS		1
	/* By default, custom control will not receive focus. */
	/* If the custom control processes key events, it should set CCF_FOCUS */
	/* and process WM_SETFOCUS, WM_KILLFOCUS, AND visibly show the focus. */

#define CCF_INITGRAY	2
	/* By default, custom controls are initially _Normal (not _Gray). */

#define CCF_NOENABLES	4
	/* By default, the item will get a WM_ENABLE message every time the */
	/* form becomes front or leaves the front.  If this flag is set, the */
	/* item will get enables only when its _Normal/_Gray-state changes. */


/*	By convention, the first numeric modifier in the FormSetObject
	may modify the style of the custom control.  If the control ordinarily
	takes integer-range modifiers, this constant can distinguish
	ordinary modifiers from style modifiers as in:
		FormSetObject(rsID, "cc_class", ...; _CCSTYLE + flag1 + flag2 ...)
*/
#define CCSTYLE		65536				/* matches Realizer's _CCStyle */



/*	User-defined messages should be small positive offsets to CCMBASE.
*/
#define CCMBASE		(WM_USER + 0x110)	/* matches Realizer's _CCM */
